From 016eae5767a654e1be1ab1df22a259678ceea6d5 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Mon, 20 Dec 2010 12:51:39 +0200
Subject: [PATCH 2/2] dh_installman: update manual page section about new POD support
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 dh_installman |   41 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 41 insertions(+), 0 deletions(-)

diff --git a/dh_installman b/dh_installman
index 815e0b1..25e23ca 100755
--- a/dh_installman
+++ b/dh_installman
@@ -17,6 +17,8 @@ B<dh_installman> [S<I<debhelper options>>] [S<I<manpage> ...>]
 
 =head1 DESCRIPTION
 
+=head2 General
+
 B<dh_installman> is a debhelper program that handles installing
 man pages into the correct locations in package build directories. You tell
 it what man pages go in your packages, and it figures out where to
@@ -48,6 +50,45 @@ manual page and convert it to UTF-8. If the guesswork fails for some
 reason, you can override it using an encoding declaration. See
 L<manconv(1)> for details.
 
+=head2 Support for manual pages in *.pod format
+
+The dh_installman can also read and install manual pages in native
+Perl POD format from file named with synrax:
+
+    <name>.<section>.pod
+
+Examples:
+
+    program.1.pod
+    program-config.5.pod
+
+Further options for page generataion can be be specified at the
+beginning of file, inside Perl comments. These options are passed
+verbatim to Pod::Man::new() initialization. The syntax of embedded
+options in comments is:
+
+    # pod2man_<option name> = value
+
+Examples (these are the defaults):
+
+    # pod2man_center  = User Command
+    # pod2man_date    = <ISO 8601 date>
+    # pod2man_name    = <file name without suffixes>
+    # pod2man_section = <the <section> part from file name>
+    # pod2man_release = ""
+
+E.g. for C<program.1.pod> without any embedded options in comments,
+the values set by default would be:
+
+    # pod2man_center  = User Command
+    # pod2man_date    = YYYY-MM-DD
+    # pod2man_name    = program
+    # pod2man_section = 1
+    # pod2man_release = ""
+
+For UTF8 manual pages, please read Pod::Man option I<utf8> and related
+POD directive I<=encoding>.
+
 =head1 FILES
 
 =over 4
-- 
1.7.2.3

